WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousStructProcessorCore (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinNT, class: SYSTEM_LOGICAL_PROCESSOR_INFORMATION, class: AnonymousStructProcessorCore

Package com.sun.jna.platform.win32

# Class WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousStructProcessorCore

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousStructProcessorCore

Enclosing class:
  WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION

@FieldOrder("flags") public static class WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousStructProcessorCore extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinDef.BYTE`
  `flags`
  If the value of this mmeber is `1`, the logical processors identified by the value of the `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.processorMask` member share functional units, as in Hyperthreading or SMT.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnonymousStructProcessorCore()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### flags

    public WinDef.BYTE flags

    If the value of this mmeber is `1`, the logical processors identified by the value of the `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.processorMask` member share functional units, as in Hyperthreading or SMT. Otherwise, the identified logical processors do not share functional units.

    Note: Prior to Windows Vista, this member is also `1` for cores that share a physical package.

- ## Constructor Details

  - ### AnonymousStructProcessorCore

    public AnonymousStructProcessorCore()